Skip to main content

Get service request priority by ID

GEThttps://api.propexo.com/v1/service-request-priorities/:service_request_priority_id

Authentication​

  • AuthorizationBearer
    Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters​

service_request_priority_id stringrequired

The ID of the resource.

Query parameters​

order-by string

Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc

Default value: created_at:desc
updated_at_gte string | null

Filter to records updated at or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)

updated_at_lte string | null

Filter to records updated at or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)

last_seen_gte string | null

Filter to records whose last_seen date is on or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)

last_seen_lte string | null

Filter to records whose last_seen date is on or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)

offset integer | null

Possible values: >= 0

Can be used for paginating results

Default value: 0
limit integer | null

Possible values: >= 0 and <= 250

A number between 1 and 250 to determine the number of results to return in a single query

Default value: 100

Response​

Successful response

    meta objectrequired
    offsetinteger

    The offset of the first result

    Possible values: >= 0

    Example: 0
    limitinteger

    The number of results to return

    Possible values: >= 0 and <= 250

    Example: 100
    orderBy object[]required

    The order of the results

  • Array [
  • object
  • ]
  • hasMoreboolean | nullnullable

    Whether there are more results

    totalinteger

    The total number of results

    Possible values: >= 0

    Example: 1000
    results objectrequired
    idstringrequired

    The Propexo unique identifier for the service request category

    Example: clwktsp9v000008l31iv218hn
    created_atstringrequired

    The date record first entered Propexo

    Example: 2024-03-21T15:38:08.337Z
    updated_atstringrequired

    The date record was last updated in Propexo

    Example: 2024-03-22T10:59:45.119Z
    last_seenstring | nullnullablerequired

    The date the record was last seen from the PMS

    Example: 2024-03-22T10:59:45.119Z
    x_idstringrequired

    The external ID from the integration vendor

    Method
    GET /ServiceManagerPriorities
    Example: 4
    x_property_idstringrequired

    The external ID of the property from the integration vendor

    Method
    GET /ServiceManagerPriorities
    Example: na
    x_location_idstring | nullnullablerequired

    The external ID of the location (exclusive to Rent Manager integrations). This is always null for non-Rent Manager integrations.

    Method
    GET /ServiceManagerPriorities
    Example: 1
    codenullrequired

    The code associated with the service request category

    Notice

    This field will always be null for RENTMANAGER

    Example: null
    descriptionstring | nullnullablerequired

    Description of the service request category

    Method
    GET /ServiceManagerPriorities
    Example: High priority
    is_activeboolean | nullnullablerequired

    Whether the service request category is active

    Method
    GET /ServiceManagerPriorities
    Example: true
    namestring | nullnullablerequired

    The name associated with the service request category

    Method
    GET /ServiceManagerPriorities
    Example: High
    integration_idstringrequired

    The Propexo unique identifier for the integration

    Example: clwh5u07w000508me66sfh3um
    integration_vendorEnum21required

    The property management system of record

    Show 13 enum values
    RENTMANAGERAPPFOLIOBUILDIUMENTRATAMRIPROPERTYWAREPROPERTYWARE_RESTREALPAGEREALPAGE_RPXRENTVINERESMANYARDIYARDI_REST
    Example: RENTMANAGER
    property_idstringrequired

    The Propexo unique identifier for the property

    Example: clwi5xiix000008l6ctdgafyh

Errors​

  • 400Bad Request
      error objectrequired
      codestringrequired
      Example: invalid_request
      messagestringrequired
      Example: invalid request
      details object
      property name*any
      Example: {"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
GET /v1/service-request-priorities/:service_request_priority_id
curl https://api.propexo.com/v1/service-request-priorities/:service_request_priority_id \
-H "Authorization: Bearer <token>"
200 Successful response
{
"meta": {
"offset": 0,
"limit": 100,
"orderBy": [
{}
],
"hasMore": true,
"total": 1000
},
"results": {
"id": "clwktsp9v000008l31iv218hn",
"created_at": "2024-03-21T15:38:08.337Z",
"updated_at": "2024-03-22T10:59:45.119Z",
"last_seen": "2024-03-22T10:59:45.119Z",
"x_id": "4",
"x_property_id": "na",
"x_location_id": "1",
"code": null,
"description": "High priority",
"is_active": true,
"name": "High",
"integration_id": "clwh5u07w000508me66sfh3um",
"integration_vendor": "RENTMANAGER",
"property_id": "clwi5xiix000008l6ctdgafyh"
}
}